package cn.fw.hermes.common.constant;

import cn.hutool.core.util.StrUtil;

import java.util.function.UnaryOperator;

/**
 * @author 张志伟
 * @date 2018-03-29 11:40
 */
public interface Constant {
    String SUCCESS_MSG = "OK";
    String PLATFORM_KEY = "x-appid";
    String TOPIC_CACHE_KEY = "sys:topic";
    String PLATFORM_CACHE_KEY = "sys:platform";
    String ACCOUNT_CACHE_KEY = "account:info";
    String DISTURB_SETTING_CACHE_KEY = "setting:disturb";
    UnaryOperator<String> RPC_EHR_CACHE_KEY = r -> StrUtil.format("rpc:ehr:{}", r);
    /**
     * 唯一id缓存key
     */
    UnaryOperator<String> UNIQUE_ID_CACHE_KEY = r -> StrUtil.format("hermes:unique:id:{}", r);
    /**
     * 系统topic
     */
    String SYS_TOPIC = "admin";
    /**
     * 平台用户topic
     */
    String PLATFORM_USER_TOPIC = "user/${identifier}/${platform}";
    /**
     * 平台所有用户topic
     */
    String PLATFORM_TOPIC = "platform/${platform}";
    /**
     * 全部平台全部用户
     */
    String FULL_TOPIC = "all";
    /**
     * 用户topic
     * 【全部平台】
     */
    String USER_TOPIC = "single/${identifier}";
    /**
     * 消息体储存失败记录
     */
    String MSG_BODY_SAVE_FAILED_CACHE_KEY = "hermes:message:body:save:failed";
    /**
     * 准备发送消息的缓存key
     * 用于开始推送消息
     */
    String READY_TO_SEND_MSG_CACHE_KEY = "hermes:message:ready";
    /**
     * 持久化前的缓存数据key
     * 异步消息的场景先存缓存增加吞吐
     */
    String CACHE_PERSISTENT_MSG_CACHE_KEY = "hermes:message:persistent:cache";
    /**
     * 待办消息
     */
    String BACKLOG_MSG = "BacklogItemNotice";
    /**
     * 更新消息
     */
    String UPDATE_MSG = "UpdateNotice";
    /**
     * 无效信鸽token
     */
    String INVALID_TOKEN = "#";
}
