package cn.fw.hermes.common.utils

import cn.hutool.core.lang.Dict
import cn.hutool.extra.template.TemplateConfig
import cn.hutool.extra.template.TemplateEngine
import cn.hutool.extra.template.TemplateUtil
import java.util.*

/**
 * 模板字符工具类
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 模板字符工具类
 * @date : 2023-06-25 16:15
 */
object TemplateHelper {
    val engine: TemplateEngine = TemplateUtil.createEngine(TemplateConfig())

    /**
     * 渲染模板
     *
     * @param template 模板字符串
     * @param dict     字典值
     * @return res
     */
    fun render(template: String?, dict: Dict?): String? {
        try {
            if (StringUtils.isEmpty(template) || Objects.isNull(dict)) {
                return template
            }
            val engineTemplate = engine.getTemplate(template)
            return engineTemplate.render(dict)
        } catch (e: Exception) {
            return null
        }
    }
}
