package cn.fw.hermes.common.utils

import cn.hutool.core.thread.ExecutorBuilder
import cn.hutool.core.thread.NamedThreadFactory
import java.util.concurrent.ExecutorService

/**
 * ThreadPoolUtil
 *
 * @author : kurisu
 * @version : 2.0
 * @className : ThreadPoolUtil
 * @description : ThreadPoolUtil
 * @date : 2023-04-19 17:31
 */
object ThreadPoolUtil {
    val executor: ExecutorService
        get() = ExecutorBuilder.create()
            .setCorePoolSize(2 shl 5)
            .setMaxPoolSize(2 shl 6)
            .setThreadFactory(NamedThreadFactory("Hermes-Custom-", false))
            .setAllowCoreThreadTimeOut(true)
            .useArrayBlockingQueue(2 shl 10)
            .build()

}
