package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.hermes.domain.enums.MsgStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 应用更新消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 应用更新消息
 * @date : 2023-08-14 10:11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AppUpdateMsg extends BaseAuditableTimeEntity<AppUpdateMsg, Long> {
    /**
     * 平台码
     */
    private String platformCode;
    /**
     * 发送状态
     */
    private MsgStatusEnum status;
    /**
     * 备注
     */
    private String remark;
    /**
     * 更新日志
     */
    private String updateRemark;
    /**
     * 是否强制更新
     */
    private Boolean forceUpload;
    /**
     * 下载地址
     */
    private String targetUrl;
    /**
     * 版本号
     */
    private Integer versionCode;
    /**
     * 版本名称
     */
    private String versionName;
    /**
     * md5值
     */
    private String md5;
    /**
     * 文件大小
     */
    private Integer fileSize;
    /**
     * 最新版
     */
    private Boolean latest;
}
