package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.web.serializer.LocalDateTimeSerializerProcessor;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalTime;

/**
 * 勿扰设置
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 勿扰设置
 * @date : 2023-07-27 14:29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DisturbSetting extends BaseEntity<DisturbSetting, Long> {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 平台码
     */
    private String platformCode;
    /**
     * 是否启用
     */
    private Boolean enabled;
    /**
     * 勿扰模式开始时间
     */
    @JsonDeserialize(using = LocalDateTimeSerializerProcessor.LocalTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializerProcessor.LocalTimeSerializer.class)
    private LocalTime startTime;
    /**
     * 勿扰模式结束时间
     */
    @JsonDeserialize(using = LocalDateTimeSerializerProcessor.LocalTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializerProcessor.LocalTimeSerializer.class)
    private LocalTime endTime;
}
