package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.hermes.domain.enums.GroupTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 群组信息
 *
 * @author : kurisu
 * @version : 2.0
 * @className : GroupInfo
 * @description : 群组信息
 * @date : 2023-06-21 14:37
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GroupInfo extends BaseAuditableTimeEntity<GroupInfo, Long> {
    /**
     * 群名称
     */
    private String groupName;
    /**
     * 群简介
     */
    private String groupSummary;
    /**
     * 群组类型
     */
    private GroupTypeEnum groupType;
    /**
     * 最大人数
     */
    private Integer maxUser;
}
