package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.hermes.domain.enums.GroupIdentityEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 群成员
 *
 * @author : kurisu
 * @version : 2.0
 * @className : GroupUser
 * @description : 群成员
 * @date : 2023-06-21 14:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GroupUser extends BaseEntity<GroupUser, Long> {
    /**
     * 群组id
     */
    private Long groupId;
    /**
     * 账号
     */
    private String accountId;
    /**
     * 用户的群昵称
     */
    private String userGroupNick;
    /**
     * 用户在群内的身份
     */
    private GroupIdentityEnum identity;
    /**
     * 群名 （用户自己备注）
     */
    private String groupShowName;
    /**
     * 加入时间
     */
    private LocalDateTime joinTime;
    /**
     * 加入日期
     */
    private LocalDate joinDay;
}
