package cn.fw.hermes.domain.db;

import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.hermes.domain.enums.MsgStatusEnum;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * 消息记录
 *
 * @author : kurisu
 * @version : 2.0
 * @className : MessageHistory
 * @description : 消息记录
 * @date : 2023-06-21 14:58
 */
@TableName(autoResultMap = true)
@Data
@ToString(callSuper = true)
public class MessageHistory {
    private Long id;
    /**
     * 消息内容描述
     */
    private String msgSummary;
    /**
     * 发送状态
     */
    private MsgStatusEnum msgStatus;
    /**
     * 状态描述
     */
    private String msgStatusDesc;
    /**
     * 腾讯信鸽推送的id
     */
    private String xgId;
    /**
     * 本条消息推送的设备token
     */
    private String xgToken;
    /**
     * 消息的topic列表
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> msgTopic;
    /**
     * 目标账号 [对应userId]
     */
    private String toAccount;
    /**
     * 是否是需要信鸽推送的待办消息
     */
    private Boolean xgTodo;
    /**
     * 发送方账号
     */
    private String fromAccount;
    /**
     * 是否需要结果
     */
    private Boolean needResult;
    /**
     * 消息截止发送时间
     */
    private LocalDateTime msgLifeTime;
    /**
     * 发送时间
     */
    private LocalDateTime sendTime;
    /**
     * 发送日期
     */
    private LocalDate sendDay;
    /**
     * 推送成功时间
     */
    private LocalDateTime sendSuccessTime;

    @TableField(insertStrategy = FieldStrategy.NOT_NULL, fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(updateStrategy = FieldStrategy.NOT_NULL, fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
