package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 系统主题
 *
 * @author : kurisu
 * @version : 2.0
 * @className : SysTopic
 * @description : 系统主题
 * @date : 2023-06-21 15:24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SysTopic extends BaseEntity<SysTopic, Long> {
    /**
     * 主题
     */
    private String topic;
    /**
     * 主题描述
     */
    private String topicDesc;
    /**
     * 是否是内置主题
     * 内置主题不需要手动订阅
     */
    private Boolean preset;
    /**
     * 是否可用
     */
    private Boolean yn;
}
