package cn.fw.hermes.domain.dto;

import lombok.Data;
import org.hibernate.validator.constraints.ScriptAssert;

import javax.validation.constraints.NotNull;
import java.time.LocalTime;
import java.util.Objects;

/**
 * 用户设置DTO
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 用户设置DTO
 * @date : 2023-07-25 17:49
 */
@Data
@ScriptAssert.List({
    @ScriptAssert(lang = "javascript", script = "_this.checkValue()", message = "数据不正确"),
})
public class DisturbSettingDTO {
    @NotNull(message = "id不能为空")
    private Long id;
    /**
     * 是否启用
     */
    private Boolean enabled;
    /**
     * 勿扰模式开始时间
     */
    private LocalTime startTime;
    /**
     * 勿扰模式结束时间
     */
    private LocalTime endTime;

    public boolean checkValue() {
        return Objects.nonNull(enabled) || Objects.nonNull(startTime) || Objects.nonNull(endTime);
    }
}
