package cn.fw.hermes.domain.dto;

import cn.fw.hermes.domain.enums.AccountStateEnum;
import cn.fw.hermes.domain.enums.AccountTypeEnum;
import lombok.Data;

import java.time.LocalDate;

/**
 * 账户信息DTO
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 账户信息DTO
 * @date : 2023-06-25 17:49
 */
@Data
public class HermesDTO {
    private Long id;
    /**
     * 用户识别码
     */
    private String identifier;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 头像URL
     */
    private String faceUrl;
    /**
     * 账户类型 1：表示B端，2表示C端
     */
    private AccountTypeEnum accountType;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 账户状态，1:正常 2:封禁
     */
    private AccountStateEnum state;
    /**
     * 创建日期
     */
    private LocalDate createDay;
}
