package cn.fw.hermes.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 消息数据中间类
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息数据中间类
 * @date : 2023-07-22 16:25
 */
@Data
public class MessageConditionDTO implements Serializable {
    private static final long serialVersionUID = 94993841L;
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 账号类型
     * <p>
     * 与SDK中的AccountType枚举对应
     */
    private Integer userType;
    /**
     * 是否需要结果
     */
    private Boolean needResult;
    /**
     * 平台
     * <p>
     * 与SDK中的Platform枚举对应
     * 取第一项，兼容之前版本数据类型为集合，实际上只会用到第一项
     * </p>
     */
    private List<Integer> platforms;
    /**
     * 是否所有用户
     */
    private Boolean fullUser;
    /**
     * 消息截止发送时间
     */
    private LocalDateTime msgLifeTime;
    /**
     * 消息体
     */
    private List<MessageBodyDTO> msgBodyList;
}
