package cn.fw.hermes.domain.dto;

import cn.fw.common.validator.EnumValue;
import cn.fw.hermes.domain.enums.PlatformTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 设备平台dto
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 设备平台dto
 * @date : 2023-06-25 11:16
 */
@Data
public class PlatformDTO {
    private Long id;
    @NotBlank(message = "平台码不能为空")
    private String platformCode;
    @NotNull(message = "平台类型不能为空")
    @EnumValue(enumClass = PlatformTypeEnum.class, message = "平台类型不正确")
    private Integer platformType;
    private String platformName;
    private Boolean enabled;
}
