package cn.fw.hermes.domain.mqtt;

import cn.fw.hermes.domain.mqtt.msgbody.MsgElement;
import lombok.Getter;

import java.util.List;

/**
 * 消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息
 * @date : 2023-07-21 15:30
 */
@Getter
public class Message {
    /**
     * 消息id
     */
    private Long msgId;
    /**
     * 消息摘要
     */
    private String msgSummary;
    /**
     * 发送者
     */
    private String sender;
    /**
     * 发送者昵称
     */
    private String senderNick;
    /**
     * 发送者头像
     */
    private String senderAvatar;
    /**
     * 接收者
     */
    private String receiver;
    /**
     * 消息内容
     */
    private List<? extends MsgElement> msgBody;
    /**
     * 消息发送时间
     */
    private Long sendTimestamp;
    /**
     * 消息产生时间
     */
    private Long msgTimestamp;
    /**
     * 备注
     */
    private String remark;


    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }


    public void setMsgSummary(String msgSummary) {
        this.msgSummary = msgSummary;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }


    public void setSenderNick(String senderNick) {
        this.senderNick = senderNick;
    }


    public void setSenderAvatar(String senderAvatar) {
        this.senderAvatar = senderAvatar;
    }


    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }


    public void setMsgBody(List<? extends MsgElement> msgBody) {
        this.msgBody = msgBody;
    }


    public void setSendTimestamp(Long sendTimestamp) {
        this.sendTimestamp = sendTimestamp;
    }

    public void setMsgTimestamp(Long msgTimestamp) {
        this.msgTimestamp = msgTimestamp;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
