package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;

import java.nio.charset.StandardCharsets;

/**
 * 自定义消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 自定义消息
 * @date : 2023-07-21 15:53
 */
@Getter
public class CustomMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.CUSTOM.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 消息内容
     */
    private byte[] data;

    public static CustomMsg generate(Long id, String data) {
        CustomMsg msg = new CustomMsg();
        msg.elementId = id;
        msg.data = data.getBytes(StandardCharsets.UTF_8);
        return msg;
    }
}
