package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;

/**
 * 表情消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 表情消息
 * @date : 2023-07-21 15:59
 */
@Getter
public class EmojiMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.EMOJI.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 表情下标
     */
    private Integer emojiIndex;

    public static EmojiMsg generate(Long id, Integer emojiIndex) {
        EmojiMsg msg = new EmojiMsg();
        msg.elementId = id;
        msg.emojiIndex = emojiIndex;
        return msg;
    }
}
