package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;
import org.springframework.lang.NonNull;

import java.util.List;

/**
 * 图片消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 图片消息
 * @date : 2023-07-21 15:58
 */
@Getter
public class ImageMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.IMAGE.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 图片地址
     * [0,1,2] 依次为缩略图、中图、原图
     */
    private List<String> url;

    public static ImageMsg generate(Long id, @NonNull List<String> url) {
        ImageMsg msg = new ImageMsg();
        msg.elementId = id;
        msg.url = url;
        return msg;
    }
}
