package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * 地理位置消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 地理位置消息
 * @date : 2023-07-21 15:59
 */
@Getter
public class LocationMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.LOCATION.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 位置描述
     */
    private String text;
    /**
     * 纬度 地理位置消息专用
     */
    private double lat;
    /**
     * 经度 地理位置消息专用
     */
    private double lng;

    public static LocationMsg generate(Long id, String text, BigDecimal lat, BigDecimal lng) {
        LocationMsg msg = new LocationMsg();
        msg.elementId = id;
        msg.text = text;
        msg.lat = lat.doubleValue();
        msg.lng = lng.doubleValue();
        return msg;
    }
}
