package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;

/**
 * 文本消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 文本消息
 * @date : 2023-07-21 15:34
 */
@Getter
public class TextMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.TEXT.getValue();
    private Long elementId;
    /**
     * 消息内容
     */
    private String text;

    public static TextMsg generate(Long id, String text) {
        TextMsg msg = new TextMsg();
        msg.elementId = id;
        msg.text = text;
        return msg;
    }
}
