package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;
import org.springframework.lang.NonNull;

import java.util.List;

/**
 * 视频消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 视频消息
 * @date : 2023-07-21 15:59
 */
@Getter
public class VideoMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.VIDEO.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 资源的时长(秒)
     */
    private Integer duration;
    /**
     * 视频消息视频地址
     * [0,1]依次为封面图、视频播放地址
     */
    private List<String> url;

    public static VideoMsg generate(Long id, int duration, @NonNull List<String> videoUrl) {
        VideoMsg msg = new VideoMsg();
        msg.elementId = id;
        msg.url = videoUrl;
        msg.duration = duration;
        return msg;
    }
}
