package cn.fw.hermes.domain.mqtt.msgbody;

import cn.fw.hermes.domain.enums.MsgTypeEnum;
import lombok.Getter;

/**
 * 语音消息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 语音消息
 * @date : 2023-07-21 15:59
 */
@Getter
public class VoiceMsg implements MsgElement {
    /**
     * 消息类型
     */
    private final Integer msgType = MsgTypeEnum.VOICE.getValue();
    /**
     * 消息id
     */
    private Long elementId;
    /**
     * 资源的时长(秒)
     */
    private Integer duration;
    /**
     * 地址
     */
    private String voiceUrl;

    public static VoiceMsg generate(Long id, String voiceUrl, int duration) {
        VoiceMsg msg = new VoiceMsg();
        msg.elementId = id;
        msg.voiceUrl = voiceUrl;
        msg.duration = duration;
        return msg;
    }
}
