package cn.fw.hermes.domain.vo;

import cn.fw.hermes.domain.enums.MsgStatusEnum;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * 消息详情
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息详情
 * @date : 2023-07-25 09:17
 */
@Data
public class MessageDetail {
    private Long id;
    /**
     * 消息内容描述
     */
    private String msgSummary;
    /**
     * 发送状态
     */
    private MsgStatusEnum msgStatus;
    /**
     * 状态描述
     */
    private String msgStatusDesc;
    /**
     * 消息的topic列表
     */
    private List<String> msgTopic;
    /**
     * 目标账号
     */
    private String toAccount;
    /**
     * 发送方账号
     */
    private String fromAccount;
    /**
     * 是否需要结果
     */
    private Boolean needResult;
    /**
     * 消息截止发送时间
     */
    private LocalDateTime msgLifeTime;
    /**
     * 发送时间
     */
    private LocalDateTime sendTime;
    /**
     * 推送成功时间
     */
    private LocalDateTime sendSuccessTime;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 消息内容
     */
    private List<MessageBody> bodyList;
}
