package cn.fw.hermes.sdk.v2.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 账号类型
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 账号类型
 * @date : 2023-07-20 16:18
 */
public enum AccountType {
    /**
     * B端用户
     */
    B_USER(1),
    /**
     * C端用户
     */
    C_USER(2);

    /**
     * 值
     */
    private final Integer value;

    AccountType(final Integer value) {
        this.value = value;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static AccountType ofValue(final Integer value) {
        for (final AccountType typeEnum : AccountType.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    @JsonValue
    public Integer getValue() {
        return value;
    }
}
