package cn.fw.hermes.sdk.v2.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 消息状态
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息状态
 * @date : 2023-07-22 14:50
 */
public enum MsgState {
    WAITING(1, "待发送"),
    SENDING(2, "发送中"),
    SUCCESS(3, "成功"),
    FAIL(4, "失败"),
    ;


    /**
     * 值
     */
    private final Integer value;
    /**
     * 类型
     */
    @Getter
    private final String name;

    MsgState(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static MsgState ofValue(final Integer value) {
        for (final MsgState typeEnum : MsgState.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    public Integer getValue() {
        return value;
    }
}
