package cn.fw.hermes.sdk.v2.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 消息类型
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息类型
 * @date : 2023-07-22 09:46
 */
public enum MsgType {
    TEXT(1, "文本消息"),
    IMAGE(2, "图片"),
    VOICE(3, "语音"),
    VIDEO(4, "视频"),
    EMOJI(5, "表情"),
    LOCATION(6, "地理位置"),
    CUSTOM(9, "自定义"),
    ;

    private final Integer code;
    private final String msg;

    MsgType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @JsonCreator
    public static MsgType ofCode(final Integer code) {
        for (final MsgType typeEnum : MsgType.values()) {
            if (typeEnum.code.equals(code)) {
                return typeEnum;
            }
        }
        return null;
    }

    @JsonValue
    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
