package cn.fw.hermes.sdk.v2.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 平台
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 平台
 * @date : 2023-07-22 11:26
 */
public enum Platform {
    APP(1, "app端"),
    WEB(2, "pc管理端"),
    REPORT(3, "报表端"),
    H5(4, "h5端"),
    MINI(5, "小程序端"),
    EVO(6, "出行app端"),
    ;

    /**
     * 值
     */
    private final Integer value;
    @Getter
    private final String desc;

    Platform(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static Platform ofValue(final Integer value) {
        for (final Platform typeEnum : Platform.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    @JsonValue
    public Integer getValue() {
        return value;
    }
}
