package cn.fw.hermes.sdk.v2.para;

import cn.fw.common.validator.EnumValue;
import cn.fw.hermes.sdk.v2.enums.AccountType;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 账号注册参数
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 账号注册参数
 * @date : 2023-07-24 11:08
 */
@Data
public class AccountV2Condition {
    /**
     * 用户ID
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 账号类型 {@link cn.fw.hermes.sdk.v2.enums.AccountType}
     */
    @NotNull(message = "账号类型不能为空")
    @EnumValue(enumClass = AccountType.class, message = "账号类型不正确")
    private Integer accountType;
}
