package cn.fw.hermes.sdk.v2.result;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 消息推送结果
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息推送结果
 * @date : 2023-07-22 14:39
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MessageV2Result implements Serializable {
    public final static String TOPIC = "hermes_message_result";
    private static final long serialVersionUID = 4549141L;
    /**
     * 消息id
     */
    private Long messageId;
    /**
     * 消息状态
     *
     * @see cn.fw.hermes.sdk.v2.enums.MsgState
     */
    private Integer msgState;
    /**
     * 消息状态描述
     */
    private String msgStateDesc;
    /**
     * 结果产生时间
     */
    private Date resultTime;
}
