package cn.fw.hermes.task

import cn.fw.hermes.service.biz.MessageManaBizService
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.scheduling.annotation.Scheduled
import org.springframework.stereotype.Component
import java.time.LocalDate

/**
 * 历史消息管理定时器
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 历史消息管理定时器
 * @date : 2023-07-24 15:44
 */
@Component
@ConditionalOnProperty(prefix = "task", name = ["switch"], havingValue = "on")
class MessageManaTask(private val messageManaBizService: MessageManaBizService) {
    /**
     * 定期删除久远的历史消息
     */
    @Scheduled(cron = "0 0 0/2 * * *")
    fun deleteOldMsg() {
        messageManaBizService.removeHistoryMsg(LocalDate.now().minusMonths(6L))
    }
}
