package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.DisturbSetting;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.Nullable;

import java.time.LocalTime;

/**
 * 勿扰设置服务
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 勿扰设置服务
 * @date : 2023-07-27 15:08
 */
public interface DisturbSettingService extends IService<DisturbSetting> {
    /**
     * 根据用户和平台查询勿扰设置
     *
     * @param userId   用户id
     * @param platform 平台码
     * @return
     */
    @Nullable
    DisturbSetting queryByUserPlatform(final Long userId, final String platform);

    /**
     * 初始化一个设置
     *
     * @param userId    用户id
     * @param platform  平台码
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    DisturbSetting init(final Long userId, final String platform, final LocalTime startTime, final LocalTime endTime);
}
