package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.MessageData;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 消息体信息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息体信息
 * @date : 2023-06-21 15:48
 */
public interface MessageDataService extends IService<MessageData> {
    /**
     * 根据消息id查询消息内容
     *
     * @param msgId
     * @return
     */
    List<MessageData> queryDataByMsgId(Long msgId);

    /**
     * 移除对应id 的消息内容
     * @param msgIds 消息id list
     */
    @Transactional(rollbackFor = Exception.class)
    void removeByMsgIds(List<Long> msgIds);
}
