package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.MessageHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

/**
 * 消息记录
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 消息记录
 * @date : 2023-06-21 15:47
 */
public interface MessageHistoryService extends IService<MessageHistory> {
    /**
     * 消息推送的回调
     *
     * @param id      消息id
     * @param success 是否成功
     * @param desc    描述
     */
    @Transactional(rollbackFor = Exception.class)
    void sendCallback(Long id, boolean success, String desc);
}
