package cn.fw.hermes.service.data.impl;

import cn.fw.hermes.dao.mapper.AppUpdateMsgMapper;
import cn.fw.hermes.domain.db.AppUpdateMsg;
import cn.fw.hermes.service.data.AppUpdateMsgService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 应用更新
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 应用更新
 * @date : 2023-08-14 10:21
 */
@Service
public class AppUpdateMsgServiceImpl extends ServiceImpl<AppUpdateMsgMapper, AppUpdateMsg>
        implements AppUpdateMsgService {
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateLatestFlag(List<Long> idList) {
        this.update(Wrappers.<AppUpdateMsg>lambdaUpdate()
                .set(AppUpdateMsg::getLatest, Boolean.FALSE)
                .in(AppUpdateMsg::getId, idList)
        );
    }

    /**
     * 根据 ID 选择修改
     *
     * @param entity 实体对象
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(AppUpdateMsg entity) {
        return super.updateById(entity);
    }
}
