package cn.fw.hermes.service.property;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.time.LocalTime;

/**
 * mqtt配置
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : mqtt配置
 * @date : 2023-07-20 18:03
 */
@Getter
@ConfigurationProperties(prefix = "disturb")
public class SettingProperty {
    private LocalTime start;
    private LocalTime end;
    @Setter
    private boolean enable;

    public void setStart(String start) {
        this.start = LocalTime.parse(start);
    }

    public void setEnd(String end) {
        this.end = LocalTime.parse(end);
    }

    @Override
    public String toString() {
        return "SettingProperty [start=" + start.toString() + ", end=" + end.toString() + ", enable=" + enable + "]";
    }
}
