package cn.fw.hermes.service.property

import org.springframework.boot.context.properties.ConfigurationProperties

/**
 * mqtt配置
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : mqtt配置
 * @date : 2023-07-20 18:03
 */
@ConfigurationProperties(prefix = "mqtt")
data class MqttProperty(
    var host: String = "localhost",
    var userName: String?,
    var password: String?,
    var port: Int = 1883,
    var timeout: Int = 10,
    var keepalive: Int = 20,
    var clientId: String?,
    var robot: RobotConfig?
) {
    data class RobotConfig(var accessToken: String?, var secret: String?, var enabled: Boolean = false)
}
